SQLITE3_NEXT_STMT(3)

NAME
sqlite3_next_stmt - find the next prepared statement

SYNOPSIS
#include <sqlite3.h>
sqlite3_stmt *
sqlite3_next_stmt(sqlite3 *pDb, sqlite3_stmt *pStmt);

DESCRIPTION
This interface returns a pointer to the next prepared statement after pStmt associated with the database connection pDb. If pStmt is NULL then this interface returns a pointer to the first prepared statement associated with the database connection pDb. If no prepared statement satisfies the conditions of this routine, it returns NULL.

The database connection pointer D in a call to sqlite3_next_stmt(D,S) must refer to an open database connection and in particular must not be a NULL pointer.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 6706.

    SQLITE_API sqlite3_stmt *sqlite3_next_stmt(sqlite3 *pDb, sqlite3_stmt *pStmt);

SEE ALSO
sqlite3(3), sqlite3_stmt(3)